ONJava.com -- The Independent Source for Enterprise Java
oreilly.comSafari Books Online.Conferences.

advertisement

AddThis Social Bookmark Button
Article:
  PHP 4.3 and Mac OS X
Subject:   MySQL import and/or compiling problems
Date:   2003-12-16 11:30:49
From:   dmcole
Hiya. UNIX neophyte, so please be gentle.


Downloaded and successfully implemented Entropy.ch PHP package.


Get to the part where I want to import a file into a table in MySQL. Get the error message "The Used command is not allowed with this MySQL version."


Look that up on the MySQL site and its suggested there (http://www.mysql.com/doc/en/LOAD_DATA_LOCAL.html) that if the version of PHP is compiled with the "--with-mysql=/usr" command rather than the traditional "--with-mysql" command, all will be well.


I post a note on the Entropy board asking about this and whether Marc could/would make a new package that supported this command. The note is now two days old and no response.


I go to the php.net site and get the source code for 4.3.4 and have been trying to compile it with all the same functions as the Entropy version.


I've had to Fink a bunch of stuff over, but now I've hit a problem that I can't seem to solve. From this compilation command (http://www.colegroup.com/php-configure.html), I get the error message "FreeType2 not found!" Of course, it's there (Fink tells me so).


So, here are my two questions:


*Am I headed in the right direction to fix the MySQL problem?


*In what order should the FreeType and FreeType2 with commands be set to get this to compile?


Thanks.


1 to 1 of 1
  1. Solution to FreeType2 not found!
    2004-01-16 19:23:38  anonymous2 [View]

1 to 1 of 1